Bug 204242 - [PATCH] security/libyubikey: update to 1.13
Summary: [PATCH] security/libyubikey: update to 1.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason Unovitch
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-11-03 05:44 UTC by oleksii.tsai
Modified: 2015-11-22 22:19 UTC (History)
2 users (show)

See Also:
matt: maintainer-feedback+


Attachments
Patch to update the port to version 1.13 (994 bytes, patch)
2015-11-03 05:44 UTC, oleksii.tsai
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description oleksii.tsai 2015-11-03 05:44:43 UTC
Created attachment 162724 [details]
Patch to update the port to version 1.13

Proposed patch updates the port to the latest version 1.13 of yubico-c library.
Comment 1 matt 2015-11-11 09:32:16 UTC
Looks good to me. Thank you.
Comment 2 Jason Unovitch freebsd_committer 2015-11-22 15:28:56 UTC
1.  Presumably there is no ABI changes to the shared library in this update, can you confirm this does not require a PORTREVISION bump to the below ports?

====>> Building security/pam_yubico
 0x0000000000000001 (NEEDED)             Shared library: [libyubikey.so.0]
====>> Building security/ykpers
 0x0000000000000001 (NEEDED)             Shared library: [libyubikey.so.0]


2.  Is there any debugging value in not stripping the library?  If there is no debugging value I'll fix this before commit.

====> Running Q/A tests (stage-qa)
Warning: 'lib/libyubikey.so.0.1.7' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}


Otherwise, no further QA comments.  If you can clarify these two points above I'll go ahead and commit the appropriate change.  Thank you both!
Comment 3 oleksii.tsai 2015-11-22 19:43:57 UTC
(In reply to Jason Unovitch from comment #2)
According to my investigation, there is no ABI change, just refactoring and some fixes.
For the second, I don't think there is any value in keeping it unstripped. If someone needs to debug it, then there is always an option of recompiling it without stripping.
Comment 4 commit-hook freebsd_committer 2015-11-22 22:17:32 UTC
A commit references this bug:

Author: junovitch
Date: Sun Nov 22 22:16:37 UTC 2015
New revision: 402246
URL: https://svnweb.freebsd.org/changeset/ports/402246

Log:
  security/libyubikey: update 1.12 -> 1.13, add install-strip

  PR:		204242
  Submitted by:	oleksii.tsai@gmail.com
  Approved by:	matt@mjslabs.com (maintainer)

Changes:
  head/security/libyubikey/Makefile
  head/security/libyubikey/distinfo
Comment 5 Jason Unovitch freebsd_committer 2015-11-22 22:19:20 UTC
Thank you both!  Update committed.

(In reply to oleksii.tsai from comment #3)
Thanks for the confirmation!